﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace SummaryDefinitionsSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class MultiColorConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            SummaryResult result = values[0] as SummaryResult;
            string resultName = (result.SourceField as Field).Name;

            int resultValue = 0;
            bool b = int.TryParse(values[1].ToString(), out resultValue);

            if (resultName == "name")
            {
                // return brush object based on the resultValue
                return Brushes.YellowGreen;
            }
            else if (resultName == "salary")
            {
                // return brush object based on the resultValue
                return Brushes.Pink;
            }
            return Binding.DoNothing;

        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
